package fr.sanchezm.attestationsCovid19.ui.attestations

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import fr.sanchezm.attestationsCovid19.data.db.entity.Attestation
import fr.sanchezm.attestationsCovid19.data.repository.AttestationRepository
import fr.sanchezm.attestationsCovid19.utilities.Event

class AttestationsViewModel(attestationRepository: AttestationRepository) : ViewModel() {

    private val _startActivity = MutableLiveData<Event<Long>>()

    private var _attestations = attestationRepository.getAttestations() as MutableLiveData<ArrayList<Attestation>>

    val attestations: LiveData<ArrayList<Attestation>> =
        _attestations

    val startActivity: LiveData<Event<Long>> =
        _startActivity

    init {
        _attestations = attestationRepository.getAttestations() as MutableLiveData<ArrayList<Attestation>>
    }
}